If you are using Internet Explorer, please remove blackberry.com from your compatibility view settings.

Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Android™ Runtime Development

Reply
New Contributor
Yochy
Posts: 2
Registered: ‎01-30-2013
My Device: Blackberry 10
My Carrier: all

Runtime for android compatibility test error

I'm trying to port an android app to blackberry 10 when I run the compatibility test it tell me "

Your application is not compatible with the BlackBerry® Runtime for Android™ Apps."

with the error message 

4(AndroidManifest.xml) uses-library: android.test.runner

does anybody know what this is and how I can fix this?

Please use plain text.
Regular Contributor
Fraggle222
Posts: 84
Registered: ‎01-31-2013
My Device: Simulator !!!
My Carrier: 8608800458

Re: Runtime for android compatibility test error

That's weird because the docs explicityly say that is the only library supported:

 

Not Supported:

Add on libraries (all libraries defined by the tag in the app's manifest other than "android.test.runner" are unsupported)

 

Maybe check which simulator version you have and get latest. Not sure.

Please use plain text.
New Contributor
Yochy
Posts: 2
Registered: ‎01-30-2013
My Device: Blackberry 10
My Carrier: all

Re: Runtime for android compatibility test error

[ Edited ]

Thanks for the response. I do have the latest simulator.

Please use plain text.
BlackBerry Development Advisor
mwhiteman
Posts: 159
Registered: ‎11-21-2008
My Device: BlackBerry 10
My Carrier: Rogers

Re: Runtime for android compatibility test error

Hey guys,

 

I'm looking into this as this is a typo in our updated documentation. 

 

To confirm, we do not support android.test.runner. This is apart of the Android testing framework and should only be used during development. For more information on is, please see: http://developer.android.com/tools/testing/testing_android.html

 

You'll have to remove this from your manifest before you can package and submit your application to BlackBerry World.

 

Thanks,

Matt

Matt Whiteman
Product Manager, Android, BlackBerry Java & Simulators
Please use plain text.